PyGreSQL-4.0-9.el7.x86_64.rpm


Advertisement

Description

PyGreSQL - A Python client library for PostgreSQL

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name PyGreSQL
Package version 4.0
Package release 9.el7
Package architecture x86_64
Package type rpm
Installed size 243.54 KB
Download size 73.53 KB
Official Mirror mirror.centos.org
PostgreSQL is an advanced Object-Relational database management system.
The PyGreSQL package provides a module for developers to use when writing
Python code for accessing a PostgreSQL database.

Alternatives

Package Version Architecture Repository
PyGreSQL - - -

Requires

Name Value
libc.so.6(GLIBC_2.4)(64bit) -
libpq.so.5()(64bit) -
libpthread.so.0()(64bit) -
libpython2.7.so.1.0()(64bit) -
python(abi) = 2.7
rtld(GNU_HASH) -

Provides

Name Value
PyGreSQL = 4.0-9.el7
PyGreSQL(x86-64) = 4.0-9.el7
postgresql-python = 8.5.0-1

Obsoletes

Name Value
postgresql-python < 8.5

Download

Type URL
Binary Package PyGreSQL-4.0-9.el7.x86_64.rpm
Source Package PyGreSQL-4.0-9.el7.src.rpm

Install Howto

Install the PyGreSQL rpm package:

# yum install PyGreSQL

Files

Path
/usr/lib64/python2.7/site-packages/PyGreSQL-4.0-py2.7.egg-info
/usr/lib64/python2.7/site-packages/_pg.so
/usr/lib64/python2.7/site-packages/pg.py
/usr/lib64/python2.7/site-packages/pg.pyc
/usr/lib64/python2.7/site-packages/pg.pyo
/usr/lib64/python2.7/site-packages/pgdb.py
/usr/lib64/python2.7/site-packages/pgdb.pyc
/usr/lib64/python2.7/site-packages/pgdb.pyo
/usr/share/doc/PyGreSQL-4.0/announce.txt
/usr/share/doc/PyGreSQL-4.0/changelog.txt
/usr/share/doc/PyGreSQL-4.0/future.txt
/usr/share/doc/PyGreSQL-4.0/install.txt
/usr/share/doc/PyGreSQL-4.0/pg.txt
/usr/share/doc/PyGreSQL-4.0/pgdb.txt
/usr/share/doc/PyGreSQL-4.0/readme.txt
/usr/share/doc/PyGreSQL-4.0/tutorial/advanced.py
/usr/share/doc/PyGreSQL-4.0/tutorial/basics.py
/usr/share/doc/PyGreSQL-4.0/tutorial/func.py
/usr/share/doc/PyGreSQL-4.0/tutorial/syscat.py

Changelog

2014-01-24 - Daniel Mach <dmach@redhat.com> - 4.0-9
- Mass rebuild 2014-01-24
2013-12-27 - Daniel Mach <dmach@redhat.com> - 4.0-8
- Mass rebuild 2013-12-27
2013-02-13 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
2012-11-17 - Tom Lane <tgl@redhat.com> 4.0-6
- Update tarball URL in specfile (no actual package change)
2012-07-18 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
2012-01-12 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
2011-07-07 - Tom Lane <tgl@redhat.com> 4.0-3
- Add upstream patch for set_decimal bug
Resolves: #719093
2011-02-07 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
2010-12-29 - Tom Lane <tgl@redhat.com> 4.0-1
- Update to PyGreSQL 4.0
- Relabel license as PostgreSQL now that that's separately recognized by OSI.
2010-07-21 - David Malcolm <dmalcolm@redhat.com> - 3.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

See Also

Package Description
PyOpenGL-3.0.1-6.el7.noarch.rpm Python bindings for OpenGL
PyOpenGL-Tk-3.0.1-6.el7.noarch.rpm PyOpenGL OpenGL Tk widget
PyPAM-0.5.0-19.el7.x86_64.rpm PAM bindings for Python
PyQt4-4.10.1-13.el7.i686.rpm Python bindings for Qt4
PyQt4-4.10.1-13.el7.x86_64.rpm Python bindings for Qt4
PyQt4-devel-4.10.1-13.el7.i686.rpm Files needed to build other bindings based on Qt4
PyQt4-devel-4.10.1-13.el7.x86_64.rpm Files needed to build other bindings based on Qt4
PyYAML-3.10-11.el7.x86_64.rpm YAML parser and emitter for Python
SDL-1.2.15-14.el7.i686.rpm A cross-platform multimedia library
SDL-1.2.15-14.el7.x86_64.rpm A cross-platform multimedia library
SDL-devel-1.2.15-14.el7.i686.rpm Files needed to develop Simple DirectMedia Layer applications
SDL-devel-1.2.15-14.el7.x86_64.rpm Files needed to develop Simple DirectMedia Layer applications
SDL-static-1.2.15-14.el7.i686.rpm Files needed to develop static Simple DirectMedia Layer applications
SDL-static-1.2.15-14.el7.x86_64.rpm Files needed to develop static Simple DirectMedia Layer applications
SOAPpy-0.11.6-17.el7.noarch.rpm Full-featured SOAP library for Python
Advertisement
Advertisement